> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hirehive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update user

> Update a user by id.



## OpenAPI

````yaml put /v1.0/{company_id}/users/{id}
openapi: 3.0.0
info:
  title: HireHive API reference
  termsOfService: https://www.hirehive.com/terms/
  contact:
    email: support@hirehive.com
  version: v1.0
servers:
  - url: https://api.hirehive.com
security:
  - bearerAuth: []
paths:
  /v1.0/{company_id}/users/{id}:
    put:
      tags:
        - Users
      operationId: Users_EditTeamMember
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 1
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 2
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateUserRequest'
        required: true
        x-position: 3
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SingleResponseOfUserDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    UpdateUserRequest:
      type: object
      additionalProperties: false
      required:
        - first_name
        - last_name
        - email
        - type
      properties:
        first_name:
          type: string
          maxLength: 100
          minLength: 0
        last_name:
          type: string
          maxLength: 100
          minLength: 0
        email:
          type: string
          format: email
          maxLength: 100
          minLength: 0
        type:
          $ref: '#/components/schemas/Types'
        category:
          $ref: '#/components/schemas/UserCategoryDto'
        permissions:
          type: array
          description: >-
            Available options: `MANAGE_TEAM`, `SETTINGS_BILLING`,
            `SETTINGS_JOBBOARD`, `RESTRICTED_ACCESS`, `EXPORT_REPORTS`,
            `MANAGE_JOBS`, `JOB_PUBLISH`, `MESSAGE_CANDIDATE`,
            `SETTINGS_JOBBOARD`
          items:
            type: string
        reviewer_statuses:
          type: array
          items:
            $ref: '#/components/schemas/ApplicationStageDto'
        linked_user_candidates:
          type: array
          items:
            $ref: '#/components/schemas/LinkedUserCandidateDto'
    SingleResponseOfUserDto:
      type: object
      additionalProperties: false
      properties:
        data:
          $ref: '#/components/schemas/UserDto'
    ProblemDetails:
      type: object
      additionalProperties:
        nullable: true
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
    Types:
      type: string
      description: ''
      x-enumNames:
        - PrimaryAdmin
        - Admin
        - User
        - Recruiter
        - Reviewer
      enum:
        - primary_admin
        - admin
        - user
        - recruiter
        - reviewer
    UserCategoryDto:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
        name:
          type: string
    ApplicationStageDto:
      type: object
      additionalProperties: false
      required:
        - parent_stage
      properties:
        parent_stage:
          $ref: '#/components/schemas/ParentStage'
          description: The parent stage of the application. eg `Screening`, `Interviewing`
        custom_stage:
          $ref: '#/components/schemas/ApplicationStageInfoDto'
          description: Optional sub stage. This is a custom stage
          nullable: true
    LinkedUserCandidateDto:
      type: object
      additionalProperties: false
      properties:
        user_id:
          type: string
          format: int32
        candidate_id:
          type: string
          format: int32
        full_name:
          type: string
        email:
          type: string
    UserDto:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
        first_name:
          type: string
        last_name:
          type: string
        email:
          type: string
        assigned_job_ids:
          type: array
          items:
            type: string
            format: int32
        type:
          $ref: '#/components/schemas/Types'
        category:
          $ref: '#/components/schemas/UserCategoryDto'
        permissions:
          type: array
          description: >-
            Available options: `MANAGE_TEAM`, `SETTINGS_BILLING`,
            `SETTINGS_JOBBOARD`, `RESTRICTED_ACCESS`, `EXPORT_REPORTS`,
            `MANAGE_JOBS`, `JOB_PUBLISH`, `MESSAGE_CANDIDATE`
          items:
            type: string
        reviewer_statuses:
          type: array
          items:
            $ref: '#/components/schemas/ApplicationStageDto'
        linked_user_candidates:
          type: array
          items:
            $ref: '#/components/schemas/LinkedUserCandidateDto'
    ParentStage:
      type: string
      description: ''
      x-enumNames:
        - Rejected
        - New
        - Screening
        - Interviewing
        - Offered
        - Hired
      enum:
        - rejected
        - new
        - screening
        - interviewing
        - offered
        - hired
    ApplicationStageInfoDto:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: The id of the custom stage, format pipl_abc123
          format: int32
        name:
          type: string
          description: The name given to this custom stage.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````